<?php
// création du tableau
$tab = array(10, 20, 30, 40);

echo 'var_dump($tab) : '.PHP_EOL;
var_dump($tab);

echo "--- foreach : contenu et indices d'un tableau d'entiers ---".PHP_EOL;
// boucle d'affichage
foreach ($tab as $valeur):
  echo '$valeur='.$valeur.PHP_EOL;
endforeach;
echo "--- foreach : contenu et indices d'un tableau d'entiers ---".PHP_EOL;
foreach ($tab as $indice => $valeur) :
  echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL;
endforeach;
// boucle de calcul
echo "--- calcul sur le tableau d'entiers ---".PHP_EOL;
foreach ($tab as $valeur) :
  $res = $valeur * 2;
  echo '$res='.$res.PHP_EOL;
endforeach;
?>
